summaryrefslogtreecommitdiffstats
path: root/development/dotnet-runtime-8.0
diff options
context:
space:
mode:
Diffstat (limited to 'development/dotnet-runtime-8.0')
-rw-r--r--development/dotnet-runtime-8.0/README8
-rw-r--r--development/dotnet-runtime-8.0/dotnet-runtime-8.0.SlackBuild76
-rw-r--r--development/dotnet-runtime-8.0/dotnet-runtime-8.0.info10
-rw-r--r--development/dotnet-runtime-8.0/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/development/dotnet-runtime-8.0/README b/development/dotnet-runtime-8.0/README
new file mode 100644
index 0000000000..791ac5e783
--- /dev/null
+++ b/development/dotnet-runtime-8.0/README
@@ -0,0 +1,8 @@
+.NET is an open-source, general-purpose development platform
+maintained by Microsoft and the .NET community on GitHub. It's
+cross-platform (supporting Windows, macOS, and Linux) and can be used to
+build device, cloud, and IoT applications.
+
+This package contains everything you need to run a .NET 8.0 application.
+If you want to build apps, install .NET 8.0 SDK (dotnet-sdk-8.0), which
+contains this runtime too.
diff --git a/development/dotnet-runtime-8.0/dotnet-runtime-8.0.SlackBuild b/development/dotnet-runtime-8.0/dotnet-runtime-8.0.SlackBuild
new file mode 100644
index 0000000000..7efe20772f
--- /dev/null
+++ b/development/dotnet-runtime-8.0/dotnet-runtime-8.0.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# Slackware build script for dotnet-runtime-8.0.
+#
+# Copyright 2021 Reza Talebi, Shahin Shahr, Iran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=dotnet-runtime-8.0
+SRCNAM=dotnet-runtime
+VERSION=${VERSION:-8.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ ARCH=$( uname -m )
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+ ARCHITECTURE="x64"
+else
+ echo "Package for $ARCH architecture is not available."
+ exit 1
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}-${BUILD}
+mkdir -p $PRGNAM-${VERSION}-${BUILD}
+cd $PKG
+mkdir -p usr/share/dotnet
+tar -zxf $CWD/$SRCNAM-${VERSION}-linux-${ARCHITECTURE}.tar.gz -C usr/share/dotnet
+chown -R root:root usr/share/dotnet
+
+mkdir -p usr/bin
+ln -s /usr/share/dotnet/dotnet usr/bin/dotnet
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -c n -l n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/dotnet-runtime-8.0/dotnet-runtime-8.0.info b/development/dotnet-runtime-8.0/dotnet-runtime-8.0.info
new file mode 100644
index 0000000000..0b6fa55fbc
--- /dev/null
+++ b/development/dotnet-runtime-8.0/dotnet-runtime-8.0.info
@@ -0,0 +1,10 @@
+PRGNAM="dotnet-runtime-8.0"
+VERSION="8.0.2"
+HOMEPAGE="https://dotnet.microsoft.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://download.visualstudio.microsoft.com/download/pr/307e4bf7-53c1-4b03-a2e5-379151ab3a04/140e7502609d45dfd83e4750b4bb5178/dotnet-runtime-8.0.2-linux-x64.tar.gz"
+MD5SUM_x86_64="e1c19b5a686d82edab6be0cf2efdf3c1"
+REQUIRES=""
+MAINTAINER="Reza Talebi"
+EMAIL="reza.talebi.73@outlook.com"
diff --git a/development/dotnet-runtime-8.0/slack-desc b/development/dotnet-runtime-8.0/slack-desc
new file mode 100644
index 0000000000..09b9cf445f
--- /dev/null
+++ b/development/dotnet-runtime-8.0/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dotnet-runtime-8.0: dotnet-runtime-8.0 (Runtime for .NET 8.0 applications)
+dotnet-runtime-8.0:
+dotnet-runtime-8.0: .NET Core is an open-source, general-purpose development platform
+dotnet-runtime-8.0: maintained by Microsoft and the .NET community on GitHub. It's
+dotnet-runtime-8.0: cross-platform (supporting Windows, macOS, and Linux) and can be used
+dotnet-runtime-8.0: to build device, cloud, and IoT applications. This package contains
+dotnet-runtime-8.0: everything you need to run a .NET 8.0 application. If you want to
+dotnet-runtime-8.0: build apps, install dotnet-sdk-8.0, which contains this runtime too.
+dotnet-runtime-8.0:
+dotnet-runtime-8.0: https://dotnet.microsoft.com/
+dotnet-runtime-8.0: